from aiohttp import web

from singleton import Singleton
from services.basicservice import BasicService


class AlfaSbp(BasicService, metaclass=Singleton):
    def __init__(self):
        super().__init__(__file__)
        self._loadAllCases()

    def getRoutes(self) -> list[web.AbstractRouteDef]:
        return [web.post('/fsCryptoProxy', handler=self.entrypoint)]

    async def entrypoint(self, request: web.Request) -> web.Response:
        self.log.info("Получен запрос")
        command = str((await request.json())['command'])
        self.log.info(f"Метод '{command}'")

        return self._createResponse(f'/{command.lower()}')


instance = AlfaSbp()
