from aiohttp import web

from singleton import Singleton
from services.basicservice import BasicService


class Crpt(BasicService, metaclass=Singleton):
    def __init__(self):
        super().__init__(__file__)
        self._loadAllCases()

    def getRoutes(self) -> list[web.AbstractRouteDef]:
        return [web.get('/{path:alpha|bravo}/api/v4/true-api/cdn/info', handler=self.cdnInfo),

                web.post('/api/v4/true-api/codes/check', handler=self.check),
                web.post('/{path:alpha|bravo|charlie}/api/v4/true-api/codes/check', handler=self.check),

                web.get('/{path:alpha|bravo|charlie}/api/v4/true-api/cdn/health/check', handler=self.cdnHealth)]

    async def check(self, request: web.Request) -> web.Response:
        self.log.info('Проверка маркировки')
        return self._createResponse(request.path)

    async def cdnInfo(self, request: web.Request) -> web.Response:
        self.log.info('Получение списка CDN')
        return self._createResponse(request.path)

    async def cdnHealth(self, request: web.Request) -> web.Response:
        self.log.info('Получение статуса CDN')
        return self._createResponse(request.path)


instance = Crpt()
