from services.basicservice import BasicService
from aiohttp import web

from singleton import Singleton


class DiscountCounters(BasicService, metaclass=Singleton):
    def __init__(self):
        super().__init__(__file__)
        self._loadCases('cases.json')

    def getRoutes(self) -> list[web.AbstractRouteDef]:
        return [web.get('/version', handler=self._basicHandler),
                web.get('/v1/destinations/{cardNumber}/counters', handler=self.getCountersByCardNumber),
                web.post('/v1/operations', handler=self._basicHandler),
                web.post('/v1/operations/multi', handler=self._basicHandler),
                web.post('/v1/operations/additional/increment', handler=self._basicHandler)]

    async def getCountersByCardNumber(self, request: web.Request) -> web.Response:
        self.log.info(f"Запрос счётчиков по номеру карты: '{request.match_info['cardNumber']}'")
        return self._createResponse(request.path if self._hasCases(request.path) else '/v1/destinations/<cardNumber>/counters')


instance = DiscountCounters()
