from aiohttp import web

from singleton import Singleton
from services.basicservice import BasicService


class Estesis(BasicService, metaclass=Singleton):
    def __init__(self):
        super().__init__(__file__)
        self._loadCases('estesis.json')

    def getRoutes(self) -> list[web.AbstractRouteDef]:
        return [web.post('/estesis/api/v1/recognition', handler=self.recognition)]

    async def recognition(self, request: web.Request) -> web.Response:
        self.log.info('Распознавание товара')
        return self._createResponse(request.path)

instance = Estesis()
