from aiohttp import web

from services.basicservice import BasicService
from singleton import Singleton

class ExciseCore(BasicService, metaclass=Singleton):

    def __init__(self):
        super().__init__(__file__)
        self._loadCases('cases.json')

    def getRoutes(self) -> list[web.AbstractRouteDef]:
        return [web.post('/transport/app/entites', handler=self.check)]

    async def check(self, request: web.Request) -> web.Response:
        self.log.info('Запрос к акцизному сервису')
        return self._createResponse(request.path)

instance = ExciseCore()
