from aiohttp import web

from services.basicservice import BasicService
from singleton import Singleton


class ExitGate(BasicService, metaclass=Singleton):
    def __init__(self):
        super().__init__(__file__)
        self._loadCases('cases.json')

    def getRoutes(self) -> list[web.AbstractRouteDef]:
        return [web.get('/barcodes/add', handler=self.barcode)]

    async def barcode(self, request: web.Request) -> web.Response:
        self.log.info(f'Параметры url: {request.query_string}')
        return self._createResponse(request.path)


instance = ExitGate()
