import os
from aiohttp import web

from configparser import ConfigParser
from services.basicservice import BasicService
from singleton import Singleton


class Halyk(BasicService, metaclass=Singleton):
    def __init__(self):
        super().__init__(__file__)
        conf = ConfigParser()
        conf.read(os.path.join(self.serviceDir, 'config.ini'))
        self.servicePath = conf.get('halyk', 'path') if conf.has_option('halyk', 'path') else '/halyk'
        self._loadCases('cases.json')

    def getRoutes(self) -> list[web.AbstractRouteDef]:
        return [web.post(self.servicePath, handler=self.halyk)]

    async def halyk(self, request: web.Request) -> web.Response:
        body = await request.json()
        self.log.info(f"Данные запроса '{body}'")
        if 'task' not in body:
            raise web.HTTPBadRequest(text='В запросе нет поля task')
        return self._createResponse(body['task'])


instance = Halyk()
