import os
from aiohttp import web
from configparser import ConfigParser

from singleton import Singleton
from services.basicservice import BasicService


class Mindbox(BasicService, metaclass=Singleton):
    def __init__(self):
        super().__init__(__file__)
        conf = ConfigParser()
        conf.read(os.path.join(self.serviceDir, 'config.ini'))
        self.servicePath = conf.get('mindbox', 'path') if conf.has_option('mindbox', 'path') else '/mindbox'
        self._loadCases('cases.json')
    
    def getRoutes(self) -> list[web.AbstractRouteDef]:
        return [web.post(self.servicePath, handler=self.req)]
    
    async def req(self, request: web.Request) -> web.Response:
        operation = request.query.get('operation')
        self.log.info(f"Операция: {operation}")
        return self._createResponse(operation)


instance = Mindbox()
