from configparser import ConfigParser
from services.basicservice import BasicService

from singleton import Singleton
from aiohttp import web
import os


class NoChange(BasicService, metaclass=Singleton):
    def __init__(self):
        super().__init__(__file__)
        conf = ConfigParser()
        conf.read(os.path.join(self.serviceDir, 'config.ini'))
        self.servicePath = conf.get('nochange', 'path') if conf.has_option('nochange', 'path') else '/nochange'
        self._loadCases('cases.json')

    def getRoutes(self) -> list[web.AbstractRouteDef]:
        return [web.post(os.path.join(self.servicePath, 'retail/v1/receipt/calculation/'), handler=self.handler),
                web.post(os.path.join(self.servicePath, 'retail/v1/receipt/'), handler=self.handler)]

    async def handler(self, request: web.Request) -> web.Response:
        self.log.info(f"Данные запроса '{await request.json()}'")
        return self._createResponse(request.path)


instance = NoChange()
