from aiohttp import web

from singleton import Singleton
from services.basicservice import BasicService


class Onlineinitialization(BasicService, metaclass=Singleton):
    def __init__(self):
        super().__init__(__file__)
        self._loadCases('cases.json')

    def getRoutes(self) -> list[web.AbstractRouteDef]:
        return [web.post('/CSrest/rest/v2/cashes/initialization', handler=self.initialization)]

    async def initialization(self, request: web.Request) -> web.Response:
        self.log.info(f"Получение данных с кассового сервера. Данные запроса '{await request.json()}'")
        return self._createResponse(request.path)


instance = Onlineinitialization()
