from aiohttp import web

from services.basicservice import BasicService
from singleton import Singleton


class Payme(BasicService, metaclass=Singleton):
    def __init__(self):
        super().__init__(__file__)
        self._loadCases('cases.json')

    def getRoutes(self) -> list[web.AbstractRouteDef]:
        return [web.post('/payme/api', handler=self.payme)]

    async def payme(self, request: web.Request) -> web.Response:
        body = await request.json()
        self.log.info(f"Данные запроса '{body}'")
        if 'method' not in body:
            raise web.HTTPBadRequest(text='В запросе нет поля method')
        return self._createResponse(body['method'])


instance = Payme()
