from aiohttp import web

from services.basicservice import BasicService
from singleton import Singleton


class ScanBox(BasicService, metaclass=Singleton):
    def __init__(self):
        super().__init__(__file__)
        self._loadCases('scanbox.json')

    def getRoutes(self) -> list[web.AbstractRouteDef]:
        return [web.post('/generate', handler=self.generate)]

    async def generate(self, request: web.Request) -> web.Response:
        self.log.info("Генерация QR-кода")
        return self._createResponse(request.path)


instance = ScanBox()
