from aiohttp import web

from services.basicservice import BasicService
from singleton import Singleton


class Social(BasicService, metaclass=Singleton):
    def __init__(self):
        super().__init__(__file__)
        self._loadCases('cases.json')

    def getRoutes(self) -> list[web.AbstractRouteDef]:
        return [web.post('/social', handler=self.handler)]

    async def handler(self, request: web.Request) -> web.Response:
        action = request.headers.get('SOAPAction')
        if action is None:
            raise web.HTTPBadRequest(text="Отсутствует обязательный заголовок 'SOAPAction'")
        self.log.info(f"Действие: {action}")
        return self._createResponse(action)


instance = Social()
