from aiohttp import web
from services.basicservice import BasicService

from singleton import Singleton


class Verification(BasicService, metaclass=Singleton):
    def __init__(self):
        super().__init__(__file__)
        self._loadCases('verification.json')

    def getRoutes(self) -> list[web.AbstractRouteDef]:
        return [web.get('/CSrest/rest/ident/cards', handler=self.verification)]

    async def verification(self, request: web.Request) -> web.Response:
        self.log.info(f"Верификация карты: '{request.query.get('number')}'")
        return self._createResponse(request.path)


instance = Verification()
